More in this section
Forums / General Discussions / Upgrade to Sitefinity 8.0 from 5.4 Error

Upgrade to Sitefinity 8.0 from 5.4 Error

The forums are in read-only mode. In case that you want to directly contact the Progress Sitefinity team use the support center. In our Google Plus group you can find more than one thousand Sitefinity developers discussing different topics. For the Stack Overflow threads don’t forget to use the “Sitefinity” tag.
3 posts, 0 answered
  1. Jared
    Jared avatar
    122 posts
    Registered:
    04 Apr 2013
    19 May 2015
    Link to this post

    I recently upgraded from 5.4 to 8.0 and am getting the following error message:

     

    System.ArgumentException: Type "Telerik.Sitefinity.Services.Comments.Impl.CommentService, Telerik.Sitefinity.Services.Comments.Impl" cannot be resolved.

     

    Any help? ​

  2. Craig
    Craig avatar
    45 posts
    Registered:
    28 Sep 2008
    19 May 2015 in reply to Jared
    Link to this post

    Jared,

    I would make sure that the assembly is referenced in the Visual Studio SitefinityWebApp project and ensure that it is the 8.0 version of the assembly.

    Also, you may want to compare your solution to a blank copy of the solution files to see what could be missing.  I generally use a tool called Beyond Compare from Scooter Software to compare these files.  Hope this helps.

     

    Craig

  3. Jared
    Jared avatar
    122 posts
    Registered:
    04 Apr 2013
    19 May 2015 in reply to Craig
    Link to this post

    I was using WinMerge and for some reason it did not catch this DLL.  I added it to the solution and it did resolve the issue.  

    Thanks for the response Craig!

3 posts, 0 answered